package com.red.circle.other.infra.database.rds.service.game;

import com.red.circle.framework.mybatis.service.BaseService;
import com.red.circle.other.infra.database.rds.entity.game.BaishunProviderConfig;

/**
 * 百顺三方配置服务.
 */
public interface BaishunProviderConfigService extends BaseService<BaishunProviderConfig> {

  BaishunProviderConfig getBySysOrigin(String sysOrigin);

  BaishunProviderConfig getByAppId(Long appId);

  BaishunProviderConfig getByApp(Long appId, String appChannel);
}
